#!/bin/sh

echo
echo "JXUL Runtime System"
echo "-------------------"
echo

if [ "$JAVA_HOME" = "" ] ; then
  echo "ERROR: JAVA_HOME not found in your environment."
  echo
  echo "Please, set the JAVA_HOME variable in your environment to match the"
  echo "location of the Java Virtual Machine you want to use."
  exit 1
fi

if [ "$JXUL_HOME" = "" ] ; then
  echo "ERROR: JXUL_HOME not found in your environment."
  echo
  echo "Please, set the JXUL_HOME variable in your environment to match the"
  echo "location of the JXUL version you want to use."
  exit 1
fi                

LOCALCLASSPATH=$JXUL_HOME/lib/js.jar:$JXUL_HOME/lib/xerces.jar:$JXUL_HOME/build/jXUL.jar

echo Starting JXUL
echo

$JAVA_HOME/bin/java -classpath $LOCALCLASSPATH org.jxul.xulrunner.Main $*
