/* JaxpTest.java */
package org.jxul.framework;

import java.io.*;

import javax.xml.parsers.*;
import org.w3c.dom.*;

public class JaxpTest
{
    public static final boolean debug;
    
    static
    {
        // this variation works in both applets and applications
        boolean temp = false;
        try
        {
            String sdebug = System.getProperty("debug");
            if (sdebug != null && sdebug.equalsIgnoreCase("true"))
                temp = true;
            else
                temp = false;
        } catch (Exception e)
          { }
        debug = temp;
    }
    
    public static void main(String args[])
    {
        if (args.length < 2)
        {
            System.out.println("USAGE: java org.jxul.framework.JdomTest inputxml outputxml");
            System.exit(1);
        }
        
        try
        {
            String inputFile = args[0];
            String outputFile = args[1];
            
            DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
            DocumentBuilder dbldr = factory.newDocumentBuilder();
            Document doc = dbldr.parse(new File(inputFile));
            Element root = doc.getDocumentElement();
            System.out.println("Root element: " + root);
            
                                    
        } catch (Throwable t)
          {
            t.printStackTrace();
          }
    }    
}
