/* XulText.java */
package org.jxul.framework;

import java.io.*;
import javax.swing.*;

import org.w3c.dom.*;

import org.jxul.util.*;

/**
 * A XUL Text (static) similar to a JLabel.
 */
public class XulText extends JLabel
{
    public static final boolean debug;
    
    static
    {
        // this variation works in both applets and applications
        boolean temp = false;
        try
        {
            String sdebug = System.getProperty("debug");
            if (sdebug != null && sdebug.equalsIgnoreCase("true"))
                temp = true;
            else
                temp = false;
        } catch (Exception e)
          { }
        debug = temp;
    }
    
    private Element textElement;
    // attributes
    String style;
    String value;
    String _class;
    String id;

    public XulText(Element textElement)
    {
        this.textElement = textElement;
        
        // TBD: process all attributes

        Attr valueAttr = textElement.getAttributeNode(XulSyntax.TEXT_ATTR_VALUE);
        if (valueAttr != null)
        {
            value = valueAttr.getNodeValue();
            this.setText(value);
        }
        
        Attr _classAttr = textElement.getAttributeNode(XulSyntax.TEXT_ATTR_CLASS);
        Attr idAttr = textElement.getAttributeNode(XulSyntax.TEXT_ATTR_ID);

    }
    
    /** for unit testing. */
    public static void main(String args[])
    {
        try
        {
            
        } catch (Throwable t)
          {
            t.printStackTrace();
          }
    }
}
